out_ac.cpp File Reference
`#include "modules/out_ac.h"`
`#include "Arduino.h"`
`#include "options.h"`
`#include "Streaming.h"`
`#include "item.h"`
`#include "textconst.h"`
`#include "main.h"`

## Macros

#define | AC_Serial Serial3
#define | INTERVAL_AC_POLLING 5000L

## Functions

byte | getCRC (byte req[], size_t size)
void | SendData (byte req[], size_t size)
unsigned char | toHex (char ch)

## Variables

long | prevPolling = 0
byte | inCheck = 0
byte | qstn [] = {255,255,10,0,0,0,0,0,1,1,77,1,90}
byte | data [37] = {}
byte | on [] = {255,255,10,0,0,0,0,0,1,1,77,2,91}
byte | off [] = {255,255,10,0,0,0,0,0,1,1,77,3,92}
byte | lock [] = {255,255,10,0,0,0,0,0,1,3,0,0,14}
const char LOCK_P[] | PROGMEM = "lock"

## Macro Definition Documentation

## AC_Serial

#define AC_Serial Serial3

## INTERVAL_AC_POLLING

#define INTERVAL_AC_POLLING 5000L

## Function Documentation

## getCRC()

byte getCRC | ( | byte | req[],
|  | size_t | size
| ) |  |

## SendData()

void SendData | ( | byte | req[],
|  | size_t | size
| ) |  |

## toHex()

unsigned char toHex | ( | char | ch | ) |

inline

## Variable Documentation

## data

byte data[37] = {}

## inCheck

byte inCheck = 0

## lock

byte lock[] = {255,255,10,0,0,0,0,0,1,3,0,0,14}

## off

byte off[] = {255,255,10,0,0,0,0,0,1,1,77,3,92}

## on

byte on[] = {255,255,10,0,0,0,0,0,1,1,77,2,91}

## prevPolling

long prevPolling = 0

## PROGMEM

const char RAW_P [] PROGMEM = "lock"

## qstn

byte qstn[] = {255,255,10,0,0,0,0,0,1,1,77,1,90}